Page MenuHomePhabricator

Document permissions standards for code-reviewers/committers
Closed, DeclinedPublic

Description

We need to clearly document how repository review/commit permissions will be setup in Phabricator both for migrated repositories and any new repositories going forward.

This could be accomplished through acl_* projects

Event Timeline

greg created this task.Mar 23 2016, 10:52 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 23 2016, 10:52 PM

If we want to implement a +2 group, we probably should wait for https://secure.phabricator.com/T8887, it allows to use owners for that. (Maybe pay them for make the prio higher), this saves herald rules, and makes it more clear.

greg added a comment.Mar 23 2016, 11:03 PM

Without comments from an upstream dev on that task I have no idea how likely it is to be approved as a thing they would want doing :)

greg moved this task from To Triage to Backlog on the Differential board.May 12 2016, 10:37 PM
greg added a comment.Jul 8 2016, 7:18 PM

If we want to implement a +2 group, we probably should wait for https://secure.phabricator.com/T8887, it allows to use owners for that. (Maybe pay them for make the prio higher), this saves herald rules, and makes it more clear.

It's fixed! The fixing commit: https://secure.phabricator.com/rP332d787dc8f43389fd531d027bbfbe50d06df5d7

mmodell closed this task as Declined.Oct 31 2018, 7:37 PM